package com.bonus.canteen.core.marketing.coupon.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class MktCouponTmplBackVO {
   @ApiModelProperty("餐券模板备份id")
   private Long backId;
   @ApiModelProperty("餐券模板id")
   private Long tmplId;
   @ApiModelProperty("单位名称")
   private String companyName;
   @ApiModelProperty("餐券名称")
   private String couponName;
   @ApiModelProperty("餐券金额")
   private BigDecimal couponAmount;
   @ApiModelProperty("食堂名称")
   private String canteenNameStr;
   @ApiModelProperty("档口名称")
   private String shopstallNameStr;
   @ApiModelProperty("餐次名称")
   private String intervalNameStr;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("餐次id")
   private Long intervalId;

   public Long getBackId() {
      return this.backId;
   }

   public Long getTmplId() {
      return this.tmplId;
   }

   public String getCompanyName() {
      return this.companyName;
   }

   public String getCouponName() {
      return this.couponName;
   }

   public BigDecimal getCouponAmount() {
      return this.couponAmount;
   }

   public String getCanteenNameStr() {
      return this.canteenNameStr;
   }

   public String getShopstallNameStr() {
      return this.shopstallNameStr;
   }

   public String getIntervalNameStr() {
      return this.intervalNameStr;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public void setBackId(final Long backId) {
      this.backId = backId;
   }

   public void setTmplId(final Long tmplId) {
      this.tmplId = tmplId;
   }

   public void setCompanyName(final String companyName) {
      this.companyName = companyName;
   }

   public void setCouponName(final String couponName) {
      this.couponName = couponName;
   }

   public void setCouponAmount(final BigDecimal couponAmount) {
      this.couponAmount = couponAmount;
   }

   public void setCanteenNameStr(final String canteenNameStr) {
      this.canteenNameStr = canteenNameStr;
   }

   public void setShopstallNameStr(final String shopstallNameStr) {
      this.shopstallNameStr = shopstallNameStr;
   }

   public void setIntervalNameStr(final String intervalNameStr) {
      this.intervalNameStr = intervalNameStr;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

}
